Imports Docs.Word



Public Class Textruns_Comments
	Friend Shared Function Main1() As Document
		'	Open the document with given name and get first paragraph
		Dim Doc As Document = Document.ReadDoc(Form1.SourceFolder + "Textruns - Comments.doc")
		Dim Par As Paragraph = DirectCast(Doc.Sections(0).Nodes(0), Paragraph)

		'	Make two comments
        Par.GetTextrun(31, 27).AddComment("This is first comment", "Me")
        Par.GetTextrun(217, 4).AddComment("This is another comment", "Me")

		Return Doc
	End Function
End Class
